## org.eclipse.ocl.utilities.impl
Class UtilitiesPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.ocl.utilities.impl.UtilitiesPackageImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, EPackage, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, UtilitiesPackage

    public class UtilitiesPackageImpl

extends EPackageImpl
implements UtilitiesPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.ocl.utilities.UtilitiesPackage
`UtilitiesPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.ocl.utilities.UtilitiesPackage

`AST_NODE, AST_NODE__END_POSITION, AST_NODE__START_POSITION, AST_NODE_FEATURE_COUNT, CALLING_AST_NODE, CALLING_AST_NODE__END_POSITION, CALLING_AST_NODE__PROPERTY_END_POSITION, CALLING_AST_NODE__PROPERTY_START_POSITION, CALLING_AST_NODE__START_POSITION, CALLING_AST_NODE_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, EXPRESSION_IN_OCL, EXPRESSION_IN_OCL__BODY_EXPRESSION, EXPRESSION_IN_OCL__CONTEXT_VARIABLE, EXPRESSION_IN_OCL__PARAMETER_VARIABLE, EXPRESSION_IN_OCL__RESULT_VARIABLE, EXPRESSION_IN_OCL_FEATURE_COUNT, PREDEFINED_TYPE, PREDEFINED_TYPE_FEATURE_COUNT, TYPED_AST_NODE, TYPED_AST_NODE__END_POSITION, TYPED_AST_NODE__START_POSITION, TYPED_AST_NODE__TYPE_END_POSITION, TYPED_AST_NODE__TYPE_START_POSITION, TYPED_AST_NODE_FEATURE_COUNT, TYPED_ELEMENT, TYPED_ELEMENT_FEATURE_COUNT, VISITABLE, VISITABLE_FEATURE_COUNT, VISITOR, VISITOR_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`protected void` `createExtendedMetaDataAnnotations()` Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EAttribute` `getASTNode_EndPosition()`
`EAttribute` `getASTNode_StartPosition()`
`EClass` `getASTNode()`
`EAttribute` `getCallingASTNode_PropertyEndPosition()`
`EAttribute` `getCallingASTNode_PropertyStartPosition()`
`EClass` `getCallingASTNode()`
`EReference` `getExpressionInOCL_BodyExpression()`
`EReference` `getExpressionInOCL_ContextVariable()`
`EReference` `getExpressionInOCL_ParameterVariable()`
`EReference` `getExpressionInOCL_ResultVariable()`
`EClass` `getExpressionInOCL()`
`EClass` `getPredefinedType()`
`EAttribute` `getTypedASTNode_TypeEndPosition()`
`EAttribute` `getTypedASTNode_TypeStartPosition()`
`EClass` `getTypedASTNode()`
`EClass` `getTypedElement()`
`UtilitiesFactory` `getUtilitiesFactory()`
`EClass` `getVisitable()`
`EClass` `getVisitor()`
`static UtilitiesPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.
`void` `initializePackageContentsGen()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProperties, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static UtilitiesPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `UtilitiesPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getASTNode

    public EClass getASTNode()

  Specified by:
    `getASTNode` in interface `UtilitiesPackage`
  Returns:
    the meta object for class 'AST Node'.
  See Also:
    `ASTNode`

### getASTNode_StartPosition

    public EAttribute getASTNode_StartPosition()

  Specified by:
    `getASTNode_StartPosition` in interface `UtilitiesPackage`
  Returns:
    the meta object for the attribute 'Start Position'.
  See Also:
    `ASTNode.getStartPosition()`, `UtilitiesPackage.getASTNode()`

### getASTNode_EndPosition

    public EAttribute getASTNode_EndPosition()

  Specified by:
    `getASTNode_EndPosition` in interface `UtilitiesPackage`
  Returns:
    the meta object for the attribute 'End Position'.
  See Also:
    `ASTNode.getEndPosition()`, `UtilitiesPackage.getASTNode()`

### getCallingASTNode

    public EClass getCallingASTNode()

  Specified by:
    `getCallingASTNode` in interface `UtilitiesPackage`
  Returns:
    the meta object for class 'Calling AST Node'.
  See Also:
    `CallingASTNode`

### getCallingASTNode_PropertyStartPosition

    public EAttribute getCallingASTNode_PropertyStartPosition()

  Specified by:
    `getCallingASTNode_PropertyStartPosition` in interface `UtilitiesPackage`
  Returns:
    the meta object for the attribute 'Property Start Position'.
  See Also:
    `CallingASTNode.getPropertyStartPosition()`, `UtilitiesPackage.getCallingASTNode()`

### getCallingASTNode_PropertyEndPosition

    public EAttribute getCallingASTNode_PropertyEndPosition()

  Specified by:
    `getCallingASTNode_PropertyEndPosition` in interface `UtilitiesPackage`
  Returns:
    the meta object for the attribute 'Property End Position'.
  See Also:
    `CallingASTNode.getPropertyEndPosition()`, `UtilitiesPackage.getCallingASTNode()`

### getPredefinedType

    public EClass getPredefinedType()

  Specified by:
    `getPredefinedType` in interface `UtilitiesPackage`
  Returns:
    the meta object for class 'Predefined Type'.
  See Also:
    `PredefinedType`

### getTypedASTNode

    public EClass getTypedASTNode()

  Specified by:
    `getTypedASTNode` in interface `UtilitiesPackage`
  Returns:
    the meta object for class 'Typed AST Node'.
  See Also:
    `TypedASTNode`

### getTypedASTNode_TypeStartPosition

    public EAttribute getTypedASTNode_TypeStartPosition()

  Specified by:
    `getTypedASTNode_TypeStartPosition` in interface `UtilitiesPackage`
  Returns:
    the meta object for the attribute 'Type Start Position'.
  See Also:
    `TypedASTNode.getTypeStartPosition()`, `UtilitiesPackage.getTypedASTNode()`

### getTypedASTNode_TypeEndPosition

    public EAttribute getTypedASTNode_TypeEndPosition()

  Specified by:
    `getTypedASTNode_TypeEndPosition` in interface `UtilitiesPackage`
  Returns:
    the meta object for the attribute 'Type End Position'.
  See Also:
    `TypedASTNode.getTypeEndPosition()`, `UtilitiesPackage.getTypedASTNode()`

### getVisitable

    public EClass getVisitable()

  Specified by:
    `getVisitable` in interface `UtilitiesPackage`
  Returns:
    the meta object for class 'Visitable'.
  See Also:
    `Visitable`

### getTypedElement

    public EClass getTypedElement()

  Specified by:
    `getTypedElement` in interface `UtilitiesPackage`
  Returns:
    the meta object for class 'Typed Element'.
  See Also:
    `TypedElement`

### getVisitor

    public EClass getVisitor()

  Specified by:
    `getVisitor` in interface `UtilitiesPackage`
  Returns:
    the meta object for class 'Visitor'.
  See Also:
    `Visitor`

### getExpressionInOCL

    public EClass getExpressionInOCL()

  Specified by:
    `getExpressionInOCL` in interface `UtilitiesPackage`
  Returns:
    the meta object for class 'Expression In OCL'.
  See Also:
    `ExpressionInOCL`

### getExpressionInOCL_BodyExpression

    public EReference getExpressionInOCL_BodyExpression()

  Specified by:
    `getExpressionInOCL_BodyExpression` in interface `UtilitiesPackage`
  Returns:
    the meta object for the containment reference 'Body Expression'.
  See Also:
    `ExpressionInOCL.getBodyExpression()`, `UtilitiesPackage.getExpressionInOCL()`

### getExpressionInOCL_ContextVariable

    public EReference getExpressionInOCL_ContextVariable()

  Specified by:
    `getExpressionInOCL_ContextVariable` in interface `UtilitiesPackage`
  Returns:
    the meta object for the containment reference 'Context Variable'.
  See Also:
    `ExpressionInOCL.getContextVariable()`, `UtilitiesPackage.getExpressionInOCL()`

### getExpressionInOCL_ResultVariable

    public EReference getExpressionInOCL_ResultVariable()

  Specified by:
    `getExpressionInOCL_ResultVariable` in interface `UtilitiesPackage`
  Returns:
    the meta object for the containment reference 'Result Variable'.
  See Also:
    `ExpressionInOCL.getResultVariable()`, `UtilitiesPackage.getExpressionInOCL()`

### getExpressionInOCL_ParameterVariable

    public EReference getExpressionInOCL_ParameterVariable()

  Specified by:
    `getExpressionInOCL_ParameterVariable` in interface `UtilitiesPackage`
  Returns:
    the meta object for the containment reference list 'Parameter Variable'.
  See Also:
    `ExpressionInOCL.getParameterVariable()`, `UtilitiesPackage.getExpressionInOCL()`

### getUtilitiesFactory

    public UtilitiesFactory getUtilitiesFactory()

  Specified by:
    `getUtilitiesFactory` in interface `UtilitiesPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

  The generated implementation is extended by adding me as a child of the empty root `OCL` package.

### initializePackageContentsGen

    public void initializePackageContentsGen()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

### createExtendedMetaDataAnnotations

    protected void createExtendedMetaDataAnnotations()

  Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.